To define
| Code | Description |
|---|---|
| 401 | Unauthorized |
| 500 | Server crashed for some <%= reason %> |
GET /AllergyIntolerance?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "Bundle",
"id": "aa6ba5c6d91e2dd4f7bc067526d166fe",
"type": "searchset",
"entry": [
{
"full_url": "/AllergyIntolerance/",
"resource": {
"resourceType": "AllergyIntolerance",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "247472004",
"display": "Hives"
}
],
"text": "Hives"
},
"reaction": [
{
"manifestation": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "247472004",
"display": "Hives"
}
],
"text": "Hives"
}
],
"severity": "moderate"
}
],
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "unconfirmed"
}
]
},
"patient": {
"display": "1",
"reference": "Patient/1"
}
}
},
{
"full_url": "/AllergyIntolerance/",
"resource": {
"resourceType": "AllergyIntolerance",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "247472004",
"display": "Hives"
}
],
"text": "Hives"
},
"reaction": [
{
"manifestation": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "247472004",
"display": "Hives"
}
],
"text": "Hives"
}
],
"severity": "moderate"
}
],
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "unconfirmed"
}
]
},
"patient": {
"display": "1",
"reference": "Patient/1"
}
}
}
],
"total": 2
}
GET /AllergyIntolerance?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh 403
| Param name | Description |
|---|---|
|
access_token
optional |
CarePaths User OAuth Token Validations:
|
|
patient
optional |
ID of Patient Validations:
|
|
start_date
optional |
Start date for dataset; Format YYYY-MM-DD Validations:
|
|
end_date
optional |
End date for dataset; Format YYYY-MM-DD Validations:
|
List of resources
| Param name | Description |
|---|---|
|
resource_type
required |
Bundle Validations:
|
|
type
required |
Validations:
|
| Code | Description |
|---|---|
| 401 | Unauthorized |
| 500 | Server crashed for some <%= reason %> |
| Param name | Description |
|---|---|
|
access_token
optional |
CarePaths User OAuth Token Validations:
|
List of resources
| Param name | Description |
|---|---|
|
resource_type
required |
AllergyIntolerance Validations:
|
|
code
required |
Validations:
|
|
reaction
required |
Validations:
|
|
clinical_status
required |
Validations:
|
|
verification_status
required |
Validations:
|
|
patient
required |
Validations:
|